#! /bin/bash

# Sign every .ko module file from given directory using /usr/bin/sign-file script 
# if latter available on the file system.
#
# Format:
#
#       ./mod-sign.sh <moddir>
#

moddir=$1

if ! test -f /usr/bin/sign-file ; then
  echo "No /usr/bin/sign-file available. "
  exit 0
fi

find "$moddir" -name '*.ko' -print0 | while read -r -d $'\0' mod; do
    /usr/bin/sign-file "$mod" "$mod".signed
    mv -f "$mod".signed "$mod"
done
